Bug 1878102 - ocs-operator.v4.6.0-81.ci not found
Summary: ocs-operator.v4.6.0-81.ci not found
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenShift Container Storage
Classification: Red Hat
Component: ocs-operator
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: ---
Assignee: Jose A. Rivera
QA Contact: Raz Tamir
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-11 10:29 UTC by Vijay Avuthu
Modified: 2020-10-09 16:50 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-21 06:02:18 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Vijay Avuthu 2020-09-11 10:29:36 UTC
Description of problem (please be detailed as possible and provide log
snippests):

ocs-operator.v4.6.0-81.ci not found in vSphere during deployment

Version of all relevant components (if applicable):

openshift installer (4.6.0-0.nightly-2020-09-10-195619)
ocs-operator.v4.6.0-81.ci


Does this issue impact your ability to continue to work with the product
(please explain in detail what is the user impact)?
Not able to deploy

Is there any workaround available to the best of your knowledge?
No

Rate from 1 - 5 the complexity of the scenario you performed that caused this
bug (1 - very simple, 5 - very complex)?
1

Can this issue reproducible?
1/1

Can this issue reproduce from the UI?
Not tried

If this is a regression, please provide more details to justify this:


Steps to Reproduce:
1. Install ocs using ocs-ci
2.
3.


Actual results:

10:10:01 - MainThread - ocs_ci.utility.utils - INFO - Executing command: oc -n openshift-storage --kubeconfig /home/jenkins/current-cluster-dir/openshift-cluster-dir/auth/kubeconfig get csv ocs-operator.v4.6.0-81.ci -n openshift-storage -o yaml
10:10:01 - MainThread - ocs_ci.utility.utils - WARNING - Command stderr: Error from server (NotFound): clusterserviceversions.operators.coreos.com "ocs-operator.v4.6.0-81.ci" not found

10:10:01 - MainThread - ocs_ci.ocs.ocp - WARNING - Failed to get resource: ocs-operator.v4.6.0-81.ci of kind: csv, selector: None, Error: Error during execution of command: oc -n openshift-storage --kubeconfig /home/jenkins/current-cluster-dir/openshift-cluster-dir/auth/kubeconfig get csv ocs-operator.v4.6.0-81.ci -n openshift-storage -o yaml.
Error is Error from server (NotFound): clusterserviceversions.operators.coreos.com "ocs-operator.v4.6.0-81.ci" not found


Expected results:

operator should be installed successfuly

Additional info:

$ oc get CatalogSource ocs-catalogsource -n openshift-marketplace
NAME                DISPLAY                       TYPE   PUBLISHER   AGE
ocs-catalogsource   Openshift Container Storage   grpc   Red Hat     48m
$

$ oc -n openshift-storage get csv
No resources found.
$

jenkins job: https://ocs4-jenkins.rhev-ci-vms.eng.rdu2.redhat.com/job/qe-deploy-ocs-cluster/12205/console

Must gather: http://magna002.ceph.redhat.com/ocsci-jenkins/openshift-clusters/jnk-pr2696-b2816/jnk-pr2696-b2816_20200911T084402/logs/failed_testcase_ocs_logs_1599814046/test_deployment_ocs_logs/

Comment 4 Mudit Agarwal 2020-09-14 04:18:29 UTC
Should be a 4.6 only issue, please retarget if you think otherwise.

Comment 5 Mudit Agarwal 2020-09-18 04:37:19 UTC
Vijay, is this still seen with the latest builds?

Comment 6 Vijay Avuthu 2020-09-21 05:47:31 UTC
(In reply to Mudit Agarwal from comment #5)
> Vijay, is this still seen with the latest builds?

Able to deploy with latest builds.

openshift installer (4.6.0-0.nightly-2020-09-18-071428)
ocs-operator.v4.6.0-88.ci

Job: https://ocs4-jenkins.rhev-ci-vms.eng.rdu2.redhat.com/job/qe-deploy-ocs-cluster/12511/consoleFull

marking as Verified.

Comment 7 Mudit Agarwal 2020-09-21 06:02:18 UTC
Thanks Vijay 

VERIFIED doesn't seem to be an apt state in this case.

1. I don't think any known fix is involved here
2. No acks are present.

Comment 8 Elad 2020-10-09 16:50:05 UTC
Mudit, this bug did occur, we have encountered it multiple times


Note You need to log in before you can comment on or make changes to this bug.